Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007290OCamlocamldocpublic2016-07-14 18:312016-11-12 17:09
Reportergasche 
Assigned Togasche 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.04.0 +dev / +beta1 / +beta2Fixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007290: ocamldoc does not support inline records
Descriptionocamldoc has not been updated to support inline record. This led to a manual build failure that has been fixed by octachron in https://github.com/ocaml/ocaml/pull/690 [^] , but there probably still exists programs on which ocamldoc will fail with an assert failure.

octachron expressed interest in working on this.

I'm setting the target to 4.04+dev because having ocamldoc fail on existing language features may bite users down the road, so fixing this as soon as possible is preferable.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0007410resolvedoctachron Spurious warning printed by ocamldoc 

-  Notes
(0016137)
octachron (developer)
2016-07-27 01:51

Expressed interest might be a tad too strong, but anyway here is a pull
request which at least fixes the remaining ocamldoc crashes and adds some basic support for documentation comments within inline records:

https://github.com/ocaml/ocaml/pull/720 [^]
(0016145)
gasche (administrator)
2016-07-29 07:13

Fixed by merging the proposed pull request. Thanks!

- Issue History
Date Modified Username Field Change
2016-07-14 18:31 gasche New Issue
2016-07-14 18:32 gasche Status new => acknowledged
2016-07-14 18:32 gasche Description Updated View Revisions
2016-07-27 01:51 octachron Note Added: 0016137
2016-07-29 07:13 gasche Note Added: 0016145
2016-07-29 07:13 gasche Status acknowledged => resolved
2016-07-29 07:13 gasche Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2016-07-29 07:13 gasche Resolution open => fixed
2016-07-29 07:13 gasche Assigned To => gasche
2016-11-12 17:09 gasche Relationship added has duplicate 0007410
2017-02-23 16:46 doligez Category OCamldoc => ocamldoc


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker